Skip to main content
GET
Get best deposit options

Authorizations

x-api-key
string
header
required

Path Parameters

userAddress
string
required

User address to be used for best vault calculation

Pattern: ^0x[a-fA-F0-9]{40}$

Query Parameters

allowedAssets
string[]

Assets to be included by symbol(ticker).

Minimum string length: 1
disallowedAssets
string[]

Assets to be excluded by symbol(ticker). The parameter is ignored if "allowedAssets" is specified.

Minimum string length: 1
allowedProtocols
string[]

Protocols to be included by name.

Minimum string length: 1
disallowedProtocols
string[]

Protocols to be excluded by name. The parameter is ignored if "allowedProtocols" is specified.

Minimum string length: 1
minTvl
integer
default:100000

Minimum TVL in USD of the vaults to be included

minVaultScore
number

Minimum vault score required for a vault to be included

Required range: x >= 0
onlyTransactional
boolean

Include only vaults that are supported in the transactional interface.

Include only vaults that are featured in app.vaults.fyi

allowCorrupted
boolean
default:false

Allow inclusion of corrupted vaults.

allowVaultsWithWarnings
boolean
default:false

Whether to include vaults with warnings. Defaults to false.

allowedNetworks
enum<string>[]

Networks to be included (name or CAIP).

Include only vaults with provided network(name or CAIP)

Available options:
mainnet,
optimism,
arbitrum,
polygon,
gnosis,
base,
unichain,
swellchain,
celo,
worldchain,
berachain,
ink,
bsc,
hyperliquid,
plasma,
avalanche,
katana,
linea,
mega-eth,
monad,
etherlink,
robinhood,
eip155:1,
eip155:10,
eip155:42161,
eip155:137,
eip155:100,
eip155:8453,
eip155:130,
eip155:1923,
eip155:42220,
eip155:480,
eip155:80094,
eip155:57073,
eip155:56,
eip155:999,
eip155:9745,
eip155:43114,
eip155:747474,
eip155:59144,
eip155:4326,
eip155:143,
eip155:42793,
eip155:4663
disallowedNetworks
enum<string>[]

Networks to be excluded (name or CAIP). The parameter is ignored if "allowedNetworks" is specified.

Include only vaults with provided network(name or CAIP)

Available options:
mainnet,
optimism,
arbitrum,
polygon,
gnosis,
base,
unichain,
swellchain,
celo,
worldchain,
berachain,
ink,
bsc,
hyperliquid,
plasma,
avalanche,
katana,
linea,
mega-eth,
monad,
etherlink,
robinhood,
eip155:1,
eip155:10,
eip155:42161,
eip155:137,
eip155:100,
eip155:8453,
eip155:130,
eip155:1923,
eip155:42220,
eip155:480,
eip155:80094,
eip155:57073,
eip155:56,
eip155:999,
eip155:9745,
eip155:43114,
eip155:747474,
eip155:59144,
eip155:4326,
eip155:143,
eip155:42793,
eip155:4663
apyInterval
enum<string>
default:7day

Interval for APY data. Possible values: 1day, 7day, 30day

Available options:
1day,
7day,
30day
minApy
number

Minimum APY of the vault to be included

Required range: x >= 0
maxApy
number

Maximum APY (in decimal) of the vaults to be included

maxTvl
integer

Maximum TVL in USD of the vaults to be included

tags
string[]

Tags to be included.

Minimum string length: 1
curators
string[]

Curators to be included.

Minimum string length: 1
minUsdAssetValueThreshold
number
default:1

Minimum USD value of the vault to be included

Required range: x >= 0
alwaysReturnAssets
string[]

Assets to always be included in the response.

Minimum string length: 1
maxVaultsPerAsset
integer
default:3

Maximum number of vaults to be included per asset.

Required range: x > 0

Response

Default Response

requestedAddress
string
required

Address of the user requesting the data

Pattern: ^0x[a-fA-F0-9]{40}$
userBalances
object[]
required

Array of user balances with asset and vault details

errors
object